## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Interface SybaseASEBaseTable

All Superinterfaces:
  BaseTable, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SybaseAuthorizedObject, SybaseBaseTable, Table

All Known Subinterfaces:
  SybaseASEProxyTable, SybaseASETable, SybaseASETempTable, SybaseASEWebServiceTable

All Known Implementing Classes:
  SybaseASEBaseTableImpl, SybaseASECatalogProxyTable, SybaseASECatalogTable, SybaseASECatalogTempTable, SybaseASECatalogWebServiceTable, SybaseASEProxyTableImpl, SybaseASETableImpl, SybaseASETempTableImpl, SybaseASEWebServiceTableImpl

    public interface SybaseASEBaseTable

extends SybaseBaseTable

A representation of the model object 'Sybase ASE Base Table'.

The following features are supported:

- `Lock Schema`
- `Fill Factor`
- `Max Row Per Page`
- `Exp Row Size`
- `Reserve Page Gap`
- `Identity Gap`
- `Segment`
- `Concurrency Opt Threshold`
- `Partition Condition`
- `Table Only Cache Info`
- `Text Only Cache Info`
- `Lock Promotion`
- `Partitions`
- `Text Image Segment`
- `System Table`

See Also:
  `SybaseasesqlmodelPackage.getSybaseASEBaseTable()`

Method Summary
`int` `getConcurrencyOptThreshold()` Returns the value of the 'Concurrency Opt Threshold' attribute.
`int` `getExpRowSize()` Returns the value of the 'Exp Row Size' attribute.
`int` `getFillFactor()` Returns the value of the 'Fill Factor' attribute.
`int` `getIdentityGap()` Returns the value of the 'Identity Gap' attribute.
`org.eclipse.emf.common.util.EList` `getLockPromotion()` Returns the value of the 'Lock Promotion' containment reference list.
`LockingSchemaType` `getLockSchema()` Returns the value of the 'Lock Schema' attribute.
`int` `getMaxRowPerPage()` Returns the value of the 'Max Row Per Page' attribute.
`SybaseASEPartition` `getPartitionCondition()` Returns the value of the 'Partition Condition' containment reference.
`int` `getPartitions()` Returns the value of the 'Partitions' attribute.
`int` `getReservePageGap()` Returns the value of the 'Reserve Page Gap' attribute.
`SybaseASESegment` `getSegment()` Returns the value of the 'Segment' reference.
`CacheInfo` `getTableOnlyCacheInfo()` Returns the value of the 'Table Only Cache Info' containment reference.
`SybaseASESegment` `getTextImageSegment()` Returns the value of the 'Text Image Segment' reference.
`CacheInfo` `getTextOnlyCacheInfo()` Returns the value of the 'Text Only Cache Info' containment reference.
`boolean` `isSystemTable()` Returns the value of the 'System Table' attribute.
`void` `setConcurrencyOptThreshold(int value)` Sets the value of the '`Concurrency Opt Threshold`' attribute.
`void` `setExpRowSize(int value)` Sets the value of the '`Exp Row Size`' attribute.
`void` `setFillFactor(int value)` Sets the value of the '`Fill Factor`' attribute.
`void` `setIdentityGap(int value)` Sets the value of the '`Identity Gap`' attribute.
`void` `setLockSchema(LockingSchemaType value)` Sets the value of the '`Lock Schema`' attribute.
`void` `setMaxRowPerPage(int value)` Sets the value of the '`Max Row Per Page`' attribute.
`void` `setPartitionCondition(SybaseASEPartition value)` Sets the value of the '`Partition Condition`' containment reference.
`void` `setPartitions(int value)` Sets the value of the '`Partitions`' attribute.
`void` `setReservePageGap(int value)` Sets the value of the '`Reserve Page Gap`' attribute.
`void` `setSegment(SybaseASESegment value)` Sets the value of the '`Segment`' reference.
`void` `setSystemTable(boolean value)` Sets the value of the '`System Table`' attribute.
`void` `setTableOnlyCacheInfo(CacheInfo value)` Sets the value of the '`Table Only Cache Info`' containment reference.
`void` `setTextImageSegment(SybaseASESegment value)` Sets the value of the '`Text Image Segment`' reference.
`void` `setTextOnlyCacheInfo(CacheInfo value)` Sets the value of the '`Text Only Cache Info`' containment reference.

Methods inherited from interface org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel.SybaseBaseTable
`getCheckConstraints, isSystem`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.BaseTable
`getConstraints, getForeignKeys, getPrimaryKey, getReferencingForeignKeys, getUniqueConstraints`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Table
`getColumns, getIndex, getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLockSchema

    LockingSchemaType getLockSchema()

  Returns the value of the 'Lock Schema' attribute. The literals are from the enumeration `LockingSchemaType`.

  If the meaning of the 'Lock Schema' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Lock Schema' attribute.
  See Also:
    `LockingSchemaType`, `setLockSchema(LockingSchemaType)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_LockSchema()`

### setLockSchema

    void setLockSchema(LockingSchemaType value)

  Sets the value of the '`Lock Schema`' attribute.

  Parameters:
    `value` - the new value of the 'Lock Schema' attribute.
  See Also:
    `LockingSchemaType`, `getLockSchema()`

### getFillFactor

    int getFillFactor()

  Returns the value of the 'Fill Factor' attribute. The default value is `"-1"`.

  If the meaning of the 'Fill Factor' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Fill Factor' attribute.
  See Also:
    `setFillFactor(int)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_FillFactor()`

### setFillFactor

    void setFillFactor(int value)

  Sets the value of the '`Fill Factor`' attribute.

  Parameters:
    `value` - the new value of the 'Fill Factor' attribute.
  See Also:
    `getFillFactor()`

### getMaxRowPerPage

    int getMaxRowPerPage()

  Returns the value of the 'Max Row Per Page' attribute. The default value is `"-1"`.

  If the meaning of the 'Max Row Per Page' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Max Row Per Page' attribute.
  See Also:
    `setMaxRowPerPage(int)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_MaxRowPerPage()`

### setMaxRowPerPage

    void setMaxRowPerPage(int value)

  Sets the value of the '`Max Row Per Page`' attribute.

  Parameters:
    `value` - the new value of the 'Max Row Per Page' attribute.
  See Also:
    `getMaxRowPerPage()`

### getExpRowSize

    int getExpRowSize()

  Returns the value of the 'Exp Row Size' attribute. The default value is `"-1"`.

  If the meaning of the 'Exp Row Size' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Exp Row Size' attribute.
  See Also:
    `setExpRowSize(int)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_ExpRowSize()`

### setExpRowSize

    void setExpRowSize(int value)

  Sets the value of the '`Exp Row Size`' attribute.

  Parameters:
    `value` - the new value of the 'Exp Row Size' attribute.
  See Also:
    `getExpRowSize()`

### getReservePageGap

    int getReservePageGap()

  Returns the value of the 'Reserve Page Gap' attribute. The default value is `"-1"`.

  If the meaning of the 'Reserve Page Gap' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Reserve Page Gap' attribute.
  See Also:
    `setReservePageGap(int)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_ReservePageGap()`

### setReservePageGap

    void setReservePageGap(int value)

  Sets the value of the '`Reserve Page Gap`' attribute.

  Parameters:
    `value` - the new value of the 'Reserve Page Gap' attribute.
  See Also:
    `getReservePageGap()`

### getIdentityGap

    int getIdentityGap()

  Returns the value of the 'Identity Gap' attribute. The default value is `"-1"`.

  If the meaning of the 'Identity Gap' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Identity Gap' attribute.
  See Also:
    `setIdentityGap(int)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_IdentityGap()`

### setIdentityGap

    void setIdentityGap(int value)

  Sets the value of the '`Identity Gap`' attribute.

  Parameters:
    `value` - the new value of the 'Identity Gap' attribute.
  See Also:
    `getIdentityGap()`

### getSegment

    SybaseASESegment getSegment()

  Returns the value of the 'Segment' reference.

  If the meaning of the 'Segment' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Segment' reference.
  See Also:
    `setSegment(SybaseASESegment)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_Segment()`

### setSegment

    void setSegment(SybaseASESegment value)

  Sets the value of the '`Segment`' reference.

  Parameters:
    `value` - the new value of the 'Segment' reference.
  See Also:
    `getSegment()`

### getConcurrencyOptThreshold

    int getConcurrencyOptThreshold()

  Returns the value of the 'Concurrency Opt Threshold' attribute.

  If the meaning of the 'Concurrency Opt Threshold' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Concurrency Opt Threshold' attribute.
  See Also:
    `setConcurrencyOptThreshold(int)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_ConcurrencyOptThreshold()`

### setConcurrencyOptThreshold

    void setConcurrencyOptThreshold(int value)

  Sets the value of the '`Concurrency Opt Threshold`' attribute.

  Parameters:
    `value` - the new value of the 'Concurrency Opt Threshold' attribute.
  See Also:
    `getConcurrencyOptThreshold()`

### getPartitionCondition

    SybaseASEPartition getPartitionCondition()

  Returns the value of the 'Partition Condition' containment reference.

  If the meaning of the 'Partition Condition' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Partition Condition' containment reference.
  See Also:
    `setPartitionCondition(SybaseASEPartition)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_PartitionCondition()`

### setPartitionCondition

    void setPartitionCondition(SybaseASEPartition value)

  Sets the value of the '`Partition Condition`' containment reference.

  Parameters:
    `value` - the new value of the 'Partition Condition' containment reference.
  See Also:
    `getPartitionCondition()`

### getTableOnlyCacheInfo

    CacheInfo getTableOnlyCacheInfo()

  Returns the value of the 'Table Only Cache Info' containment reference.

  If the meaning of the 'Table Only Cache Info' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Table Only Cache Info' containment reference.
  See Also:
    `setTableOnlyCacheInfo(CacheInfo)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_TableOnlyCacheInfo()`

### setTableOnlyCacheInfo

    void setTableOnlyCacheInfo(CacheInfo value)

  Sets the value of the '`Table Only Cache Info`' containment reference.

  Parameters:
    `value` - the new value of the 'Table Only Cache Info' containment reference.
  See Also:
    `getTableOnlyCacheInfo()`

### getTextOnlyCacheInfo

    CacheInfo getTextOnlyCacheInfo()

  Returns the value of the 'Text Only Cache Info' containment reference.

  If the meaning of the 'Text Only Cache Info' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Text Only Cache Info' containment reference.
  See Also:
    `setTextOnlyCacheInfo(CacheInfo)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_TextOnlyCacheInfo()`

### setTextOnlyCacheInfo

    void setTextOnlyCacheInfo(CacheInfo value)

  Sets the value of the '`Text Only Cache Info`' containment reference.

  Parameters:
    `value` - the new value of the 'Text Only Cache Info' containment reference.
  See Also:
    `getTextOnlyCacheInfo()`

### getLockPromotion

    org.eclipse.emf.common.util.EList getLockPromotion()

  Returns the value of the 'Lock Promotion' containment reference list. The list contents are of type `LockPromotionInfo`.

  If the meaning of the 'Lock Promotion' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Lock Promotion' containment reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASEBaseTable_LockPromotion()`

### getPartitions

    int getPartitions()

  Returns the value of the 'Partitions' attribute. The default value is `"-1"`.

  If the meaning of the 'Partitions' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Partitions' attribute.
  See Also:
    `setPartitions(int)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_Partitions()`

### setPartitions

    void setPartitions(int value)

  Sets the value of the '`Partitions`' attribute.

  Parameters:
    `value` - the new value of the 'Partitions' attribute.
  See Also:
    `getPartitions()`

### getTextImageSegment

    SybaseASESegment getTextImageSegment()

  Returns the value of the 'Text Image Segment' reference.

  If the meaning of the 'Text Image Segment' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Text Image Segment' reference.
  See Also:
    `setTextImageSegment(SybaseASESegment)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_TextImageSegment()`

### setTextImageSegment

    void setTextImageSegment(SybaseASESegment value)

  Sets the value of the '`Text Image Segment`' reference.

  Parameters:
    `value` - the new value of the 'Text Image Segment' reference.
  See Also:
    `getTextImageSegment()`

### isSystemTable

    boolean isSystemTable()

  Returns the value of the 'System Table' attribute.

  If the meaning of the 'System Table' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'System Table' attribute.
  See Also:
    `setSystemTable(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_SystemTable()`

### setSystemTable

    void setSystemTable(boolean value)

  Sets the value of the '`System Table`' attribute.

  Parameters:
    `value` - the new value of the 'System Table' attribute.
  See Also:
    `isSystemTable()`